/*
		 Endeavour Recycle Bin Contents List
 */

#ifndef RECBINCONTENTS_H
#define RECBINCONTENTS_H

#include <gtk/gtk.h>
#include "recbin.h"


extern gint EDVRecBinContentsFindRowByIndex(
	edv_recbin_struct *recbin, guint index
);

extern void EDVRecBinContentsResetRows(edv_recbin_struct *recbin);
extern void EDVRecBinContentsDoUpdate(
	edv_recbin_struct *recbin, gboolean update_status_bar
);

extern void EDVRecBinContentsObjectAddedNotify(
	edv_recbin_struct *recbin, guint index
);
extern void EDVRecBinContentsObjectModifiedNotify(
	edv_recbin_struct *recbin, guint index
);
extern void EDVRecBinContentsObjectRemovedNotify(
	edv_recbin_struct *recbin, guint index
);


#endif	/* RECBINCONTENTS_H */
